%global _smp_mflags -j1
Name:           giza
Version:        0.9.4
Release:        2%{?dist}
Summary:        Scientific plotting library for C/Fortran

License:        GPLv2
URL:            http://giza.sf.net
Source0:        http://netix.dl.sourceforge.net/project/giza/%{name}-%{version}.tar.gz

# Patch committed to upstream SVN head on 12 Dec 2015
Patch0:         makefile.patch
# Patch committed to upstream SVN head on 12 Dec 2015
Patch1:         marker.patch

BuildRequires:  cairo-devel
BuildRequires:  gcc-gfortran

%description
Scientific plotting library built on cairo that provides uniform output to
multiple devices. It is written in standard ANSI C and has bindings for
Fortran 90/95/2003. Devices currently supported are: the X Window system,
PDF, PostScript, EPS, PNG and SVG. It also provides a drop-in replacement
for the PGPLOT graphics library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -n %{name}

%patch0 -p1
%patch1 -p1

%build
%configure --disable-static --disable-silent-rules CPPFLAGS=-DGIZA_HAS_FT_FONT
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -print -delete
%{__rm} %{buildroot}%{_docdir}/%{name}/COPYING
%{__rm} %{buildroot}%{_docdir}/%{name}/INSTALL

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_fmoddir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Sat Dec 12 2015 Joachim Frieben <jfrieben@hotmail.com> - 0.9.4-2
- Address issues from the package review

* Thu Dec 10 2015 Joachim Frieben <jfrieben@hotmail.com> - 0.9.4-1
- Initial package
